# Deactivate Fee Sponsor

`PUT /fee-sponsors/{feeSponsorId}/deactivate`

Deactivate a Fee Sponsor: The fee sponsor won't be able to be used anymore when making a transfer.

{% hint style="info" %}

* User action signature required. See [User Action Signing](/d/api-docs/authentication/user-action-signing.md) for more information.
* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name                 | Conditions      |
| -------------------- | --------------- |
| `FeeSponsors:Update` | Always Required |

## Parameters <a href="#request-example.1" id="request-example.1"></a>

### Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Path parameter | Description            |
| -------------- | ---------------------- |
| `feeSponsorId` | ID of the fee sponsor. |

## Response <a href="#response" id="response"></a>

See [Create Fee Sponsor response](https://github.com/dfns/dfns-api-docs/blob/m/api-docs/fee-sponsors/create-fee-sponsor/README.md#response).

### 200 Success <a href="#response-example" id="response-example"></a>

```json
{
  "id": "fs-1f04s-lqc9q-xxxxxxxxxxxxxxxx",
  "walletId": "wa-1f04s-lqc9q-xxxxxxxxxxxxxxxx",
  "network": "Solana",
  "status": "Deactived",
  "dateCreated": "2023-04-14T20:41:28.715Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/fee-sponsors/deactivate-fee-sponsor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
